/*!
  * Ender-Require: open module JavaScript framework
  * copyright Dustin Diaz & Jacob Thornton 2011 (@ded @fat)
  * https://ender.no.de
  * License MIT
  * Implements CommonJS Modules 1.1.1 spec
  */
!function (context) {

  var modules = {};

  function require (identifier) {
    var module = modules[identifier];
    if (!module) throw new Error("specified module does not exist.");
    return module;
  }

  function provide (name, what) {
    return modules[name] = what;
  }

  context['provide'] = provide;
  context['require'] = require;

}(this);
